{
  "custom": {},
  "params": {
    "configuring": false,
    "equipmentPath": "",
    "title": "Run Control"
  },
  "propConfig": {
    "params.configuring": {
      "onChange": {
        "enabled": null,
        "script": "\tviewParams\u003dself.params\n\tconfigParams\u003dself.getChild(\"root/configuration\").props.params\n\tif currentValue.value:\n\t\tconfigParams.equipmentPathIn \u003d viewParams.equipmentPath\n\t\tconfigParams.titleIn \u003d viewParams.title\t\t\n\telif previousValue is not None and previousValue.value:\n\t\tviewParams.equipmentPath \u003d configParams.equipmentPathOut\n\t\tviewParams.title \u003d configParams.titleOut\n"
      },
      "paramDirection": "input",
      "persistent": true
    },
    "params.equipmentPath": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.title": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 130,
      "width": 440
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "configuration"
        },
        "position": {
          "basis": "320px"
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "params": {
            "equipmentPathIn": "",
            "equipmentPathOut": "",
            "titleIn": "Run Control",
            "titleOut": "Run Control"
          },
          "path": "Page/Widgets/Configuration/Equipment Path, Title",
          "style": {
            "backgroundColor": "#FCFCFC"
          }
        },
        "type": "ia.display.view"
      },
      {
        "meta": {
          "name": "Widget Title"
        },
        "position": {
          "basis": "20px",
          "grow": 1
        },
        "propConfig": {
          "meta.visible": {
            "binding": {
              "config": {
                "expression": "!{view.params.configuring}"
              },
              "type": "expr"
            }
          },
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.title"
              },
              "transforms": [
                {
                  "code": "\tif not value or self.view.params.configuring:\n\t\treturn False\n\treturn True",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          },
          "props.params.text": {
            "binding": {
              "config": {
                "path": "view.params.title"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "path": "Page/Embedded/Widget Title"
        },
        "type": "ia.display.view"
      },
      {
        "children": [
          {
            "meta": {
              "name": "oeeRunDirector"
            },
            "position": {
              "basis": "300px",
              "grow": 1
            },
            "propConfig": {
              "props.equipmentPath": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPath"
                  },
                  "type": "property"
                },
                "persistent": false
              }
            },
            "type": "mes.oee.runDirector"
          }
        ],
        "meta": {
          "name": "runtime"
        },
        "position": {
          "basis": "50px",
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "expression": "!{view.params.configuring}"
              },
              "type": "expr"
            }
          }
        },
        "props": {
          "style": {
            "fontSize": 20
          }
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}